curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/reimbursement_types \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.nmbr.co/services/payroll/reimbursement_types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.nmbr.co/services/payroll/reimbursement_types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "<id>",
"object": "reimbursement_type",
"data": {
"type": "health_spending_account",
"label": "Health Spending Account (HSA)",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": [
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Health Spending Account (HSA) is subject to Income Tax.",
"program_label": null
}
]
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": [
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Health Spending Account (HSA) is subject to QPP.",
"program_label": "QPP"
}
]
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": [
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Health Spending Account (HSA) is subject to QPIP.",
"program_label": "QPIP"
}
]
},
{
"type": "wcb",
"label": "WCB",
"definitions": [
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Health Spending Account (HSA) is subject to CNESST.",
"program_label": "CNESST"
}
]
},
{
"type": "eht",
"label": "EPT",
"definitions": [
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Health Spending Account (HSA) is subject to HSF.",
"program_label": "HSF"
}
]
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": [
{
"jurisdiction": "ca_qc",
"effects": [
"accrues_vacation_pay"
],
"help_text": "Vacation pay accrues on Health Spending Account (HSA)",
"program_label": null
}
]
}
],
"form_mappings": [
{
"form": "t4",
"form_label": "T4",
"mapping": [
[
{
"name": "14",
"help_text": "Employment Income"
},
{
"name": "40",
"help_text": "Other Taxable Allowances and Benefits"
}
]
]
},
{
"form": "rl1",
"form_label": "RL-1",
"mapping": [
[
{
"name": "A",
"help_text": "Employment Income Before Source Deductions"
},
{
"name": "L",
"help_text": "Other Benefits"
}
]
]
}
]
},
"links": {
"self": "/reimbursement_types/health_spending_account"
}
},
{
"id": "<id>",
"object": "reimbursement_type",
"data": {
"type": "non_taxable_reimbursement",
"label": "Non-Taxable Reimbursement",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": []
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": []
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": []
},
{
"type": "wcb",
"label": "WCB",
"definitions": []
},
{
"type": "eht",
"label": "EPT",
"definitions": []
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
}
],
"form_mappings": []
},
"links": {
"self": "/reimbursement_types/non_taxable_reimbursement"
}
},
{
"id": "<id>",
"object": "reimbursement_type",
"data": {
"type": "professional_membership",
"label": "Professional Membership",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": [
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Professional Membership is subject to Income Tax.",
"program_label": null
}
]
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": [
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Professional Membership is subject to QPP.",
"program_label": "QPP"
}
]
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": [
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Professional Membership is subject to QPIP.",
"program_label": "QPIP"
}
]
},
{
"type": "wcb",
"label": "WCB",
"definitions": [
{
"jurisdiction": "ca_ab",
"effects": [
"withholding"
],
"help_text": "Professional Membership is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_mb",
"effects": [
"withholding"
],
"help_text": "Professional Membership is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_nl",
"effects": [
"withholding"
],
"help_text": "Professional Membership is subject to WorkplaceNL.",
"program_label": "WorkplaceNL"
},
{
"jurisdiction": "ca_ns",
"effects": [
"withholding"
],
"help_text": "Professional Membership is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_nt",
"effects": [
"withholding"
],
"help_text": "Professional Membership is subject to WSCC.",
"program_label": "WSCC"
},
{
"jurisdiction": "ca_nu",
"effects": [
"withholding"
],
"help_text": "Professional Membership is subject to WSCC.",
"program_label": "WSCC"
},
{
"jurisdiction": "ca_on",
"effects": [
"withholding"
],
"help_text": "Professional Membership is subject to WSIB.",
"program_label": "WSIB"
},
{
"jurisdiction": "ca_pe",
"effects": [
"withholding"
],
"help_text": "Professional Membership is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Professional Membership is subject to CNESST.",
"program_label": "CNESST"
},
{
"jurisdiction": "ca_sk",
"effects": [
"withholding"
],
"help_text": "Professional Membership is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_yt",
"effects": [
"withholding"
],
"help_text": "Professional Membership is subject to WCB.",
"program_label": "WCB"
}
]
},
{
"type": "eht",
"label": "EPT",
"definitions": [
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Professional Membership is subject to HSF.",
"program_label": "HSF"
}
]
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
}
],
"form_mappings": [
{
"form": "t4",
"form_label": "T4",
"mapping": [
[
{
"name": "14",
"help_text": "Employment Income"
},
{
"name": "40",
"help_text": "Other Taxable Allowances and Benefits"
}
]
]
},
{
"form": "rl1",
"form_label": "RL-1",
"mapping": [
[
{
"name": "A",
"help_text": "Employment Income Before Source Deductions"
},
{
"name": "L",
"help_text": "Other Benefits"
}
]
]
}
]
},
"links": {
"self": "/reimbursement_types/professional_membership"
}
},
{
"id": "<id>",
"object": "reimbursement_type",
"data": {
"type": "taxable_reimbursement",
"label": "Taxable Reimbursement",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": [
{
"jurisdiction": "ca_federal",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Federal Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_ab",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_bc",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_mb",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_nb",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_nl",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_ns",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_nt",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_nu",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_on",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_pe",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_sk",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_yt",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_oc",
"effects": [
"withholding"
],
"help_text": "Federal Income Tax rates apply, plus the default outside-Canada surtax.",
"program_label": null
}
]
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": [
{
"jurisdiction": "ca_federal",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to CPP.",
"program_label": "CPP"
},
{
"jurisdiction": "ca_oc",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to CPP.",
"program_label": "CPP"
},
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to QPP.",
"program_label": "QPP"
}
]
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": [
{
"jurisdiction": "ca_federal",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to EI.",
"program_label": "EI"
},
{
"jurisdiction": "ca_oc",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to EI.",
"program_label": "EI"
},
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to QPIP.",
"program_label": "QPIP"
}
]
},
{
"type": "wcb",
"label": "WCB",
"definitions": [
{
"jurisdiction": "ca_ab",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_bc",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to WorkSafeBC.",
"program_label": "WorkSafeBC"
},
{
"jurisdiction": "ca_mb",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_nb",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to WorkSafeNB.",
"program_label": "WorkSafeNB"
},
{
"jurisdiction": "ca_nl",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to WorkplaceNL.",
"program_label": "WorkplaceNL"
},
{
"jurisdiction": "ca_ns",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_nt",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to WSCC.",
"program_label": "WSCC"
},
{
"jurisdiction": "ca_nu",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to WSCC.",
"program_label": "WSCC"
},
{
"jurisdiction": "ca_on",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to WSIB.",
"program_label": "WSIB"
},
{
"jurisdiction": "ca_pe",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to CNESST.",
"program_label": "CNESST"
},
{
"jurisdiction": "ca_sk",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_yt",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to WCB.",
"program_label": "WCB"
}
]
},
{
"type": "eht",
"label": "EPT",
"definitions": [
{
"jurisdiction": "ca_bc",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to EHT.",
"program_label": "EHT"
},
{
"jurisdiction": "ca_mb",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to HE Levy.",
"program_label": "HE Levy"
},
{
"jurisdiction": "ca_nl",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to HAPSET.",
"program_label": "HAPSET"
},
{
"jurisdiction": "ca_on",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to EHT.",
"program_label": "EHT"
},
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to HSF.",
"program_label": "HSF"
}
]
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
}
],
"form_mappings": [
{
"form": "t4",
"form_label": "T4",
"mapping": [
[
{
"name": "14",
"help_text": "Employment Income"
}
]
]
},
{
"form": "rl1",
"form_label": "RL-1",
"mapping": [
[
{
"name": "A",
"help_text": "Employment Income Before Source Deductions"
}
]
]
}
]
},
"links": {
"self": "/reimbursement_types/taxable_reimbursement"
}
},
{
"id": "<id>",
"object": "reimbursement_type",
"data": {
"type": "transit_pass",
"label": "Transit Pass",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": [
{
"jurisdiction": "ca_federal",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to Federal Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_ab",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_bc",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_mb",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_nb",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_nl",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_ns",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_nt",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_nu",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_on",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_pe",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_sk",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_yt",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_oc",
"effects": [
"withholding"
],
"help_text": "Federal Income Tax rates apply, plus the default outside-Canada surtax.",
"program_label": null
}
]
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": [
{
"jurisdiction": "ca_federal",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to CPP.",
"program_label": "CPP"
},
{
"jurisdiction": "ca_oc",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to CPP.",
"program_label": "CPP"
}
]
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": [
{
"jurisdiction": "ca_federal",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to EI.",
"program_label": "EI"
},
{
"jurisdiction": "ca_oc",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to EI.",
"program_label": "EI"
},
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to QPIP.",
"program_label": "QPIP"
}
]
},
{
"type": "wcb",
"label": "WCB",
"definitions": [
{
"jurisdiction": "ca_ab",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_bc",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to WorkSafeBC.",
"program_label": "WorkSafeBC"
},
{
"jurisdiction": "ca_mb",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_nb",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to WorkSafeNB.",
"program_label": "WorkSafeNB"
},
{
"jurisdiction": "ca_nl",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to WorkplaceNL.",
"program_label": "WorkplaceNL"
},
{
"jurisdiction": "ca_ns",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_nt",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to WSCC.",
"program_label": "WSCC"
},
{
"jurisdiction": "ca_nu",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to WSCC.",
"program_label": "WSCC"
},
{
"jurisdiction": "ca_on",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to WSIB.",
"program_label": "WSIB"
},
{
"jurisdiction": "ca_pe",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to CNESST.",
"program_label": "CNESST"
},
{
"jurisdiction": "ca_sk",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_yt",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to WCB.",
"program_label": "WCB"
}
]
},
{
"type": "eht",
"label": "EPT",
"definitions": [
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Transit Pass is subject to HSF.",
"program_label": "HSF"
}
]
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": [
{
"jurisdiction": "ca_qc",
"effects": [
"accrues_vacation_pay"
],
"help_text": "Vacation pay accrues on Transit Pass",
"program_label": null
}
]
}
],
"form_mappings": [
{
"form": "t4",
"form_label": "T4",
"mapping": [
[
{
"name": "14",
"help_text": "Employment Income"
},
{
"name": "40",
"help_text": "Other Taxable Allowances and Benefits"
}
]
]
}
]
},
"links": {
"self": "/reimbursement_types/transit_pass"
}
},
{
"id": "<id>",
"object": "reimbursement_type",
"data": {
"type": "wellness_spending_account",
"label": "Wellness Spending Account (WSA)",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": [
{
"jurisdiction": "ca_federal",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to Federal Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_ab",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_bc",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_mb",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_nb",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_nl",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_ns",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_nt",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_nu",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_on",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_pe",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_sk",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_yt",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_oc",
"effects": [
"withholding"
],
"help_text": "Federal Income Tax rates apply, plus the default outside-Canada surtax.",
"program_label": null
}
]
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": [
{
"jurisdiction": "ca_federal",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to CPP.",
"program_label": "CPP"
},
{
"jurisdiction": "ca_oc",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to CPP.",
"program_label": "CPP"
},
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to QPP.",
"program_label": "QPP"
}
]
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": [
{
"jurisdiction": "ca_federal",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to EI.",
"program_label": "EI"
},
{
"jurisdiction": "ca_oc",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to EI.",
"program_label": "EI"
},
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to QPIP.",
"program_label": "QPIP"
}
]
},
{
"type": "wcb",
"label": "WCB",
"definitions": [
{
"jurisdiction": "ca_ab",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_bc",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to WorkSafeBC.",
"program_label": "WorkSafeBC"
},
{
"jurisdiction": "ca_mb",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_nb",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to WorkSafeNB.",
"program_label": "WorkSafeNB"
},
{
"jurisdiction": "ca_nl",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to WorkplaceNL.",
"program_label": "WorkplaceNL"
},
{
"jurisdiction": "ca_ns",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_nt",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to WSCC.",
"program_label": "WSCC"
},
{
"jurisdiction": "ca_nu",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to WSCC.",
"program_label": "WSCC"
},
{
"jurisdiction": "ca_on",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to WSIB.",
"program_label": "WSIB"
},
{
"jurisdiction": "ca_pe",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to CNESST.",
"program_label": "CNESST"
},
{
"jurisdiction": "ca_sk",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_yt",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to WCB.",
"program_label": "WCB"
}
]
},
{
"type": "eht",
"label": "EPT",
"definitions": [
{
"jurisdiction": "ca_bc",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to EHT.",
"program_label": "EHT"
},
{
"jurisdiction": "ca_mb",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to HE Levy.",
"program_label": "HE Levy"
},
{
"jurisdiction": "ca_nl",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to HAPSET.",
"program_label": "HAPSET"
},
{
"jurisdiction": "ca_on",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to EHT.",
"program_label": "EHT"
},
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Wellness Spending Account (WSA) is subject to HSF.",
"program_label": "HSF"
}
]
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": [
{
"jurisdiction": "ca_qc",
"effects": [
"accrues_vacation_pay"
],
"help_text": "Vacation pay accrues on Wellness Spending Account (WSA)",
"program_label": null
}
]
}
],
"form_mappings": [
{
"form": "t4",
"form_label": "T4",
"mapping": [
[
{
"name": "14",
"help_text": "Employment Income"
},
{
"name": "40",
"help_text": "Other Taxable Allowances and Benefits"
}
]
]
},
{
"form": "rl1",
"form_label": "RL-1",
"mapping": [
[
{
"name": "A",
"help_text": "Employment Income Before Source Deductions"
},
{
"name": "L",
"help_text": "Other Benefits"
}
]
]
}
]
},
"links": {
"self": "/reimbursement_types/wellness_spending_account"
}
}
],
"links": {
"first": "/reimbursement_types?features=ca&page=1",
"last": "/reimbursement_types?features=ca&page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"last_page": 1,
"per_page": 15,
"total": 6,
"has_more": false
}
}List reimbursement types
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Country code that adds each type's payroll calculations to the response, as the features and form_mappings fields. Currently only ca is supported. See Line item type features.
CA, GB Comma-separated list of type identifiers to return.
Case-insensitive substring match against the human-readable label, in any supported locale.
Response
OK
The type of the object in Nmbr ("list").
Hide child attributes
Hide child attributes
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("reimbursement_type").
Hide child attributes
Hide child attributes
The string identifier for this reimbursement type.
The human-readable display name for this reimbursement type.
Hide child attributes
Hide child attributes
The payroll calculation this entry describes.
eht, income_tax, insurable, pensionable, vacationable, wcb Human-readable name for the payroll calculation.
How this type affects the calculation, broken down by jurisdiction. Jurisdictions where it does not apply are omitted.
Hide child attributes
Hide child attributes
The jurisdiction this applies to (e.g. ca_federal, ca_on, ca_qc).
How this type affects the payroll calculation in this jurisdiction.
accrues_vacation_pay, reduces_base, tax_credit, withholding Plain-language explanation of how this type affects the calculation in this jurisdiction.
The program that applies in this jurisdiction, for calculations that use different programs by jurisdiction (e.g. CPP federally, QPP in Quebec; EI federally, QPIP in Quebec).
Hide child attributes
Hide child attributes
The form code (e.g. t4).
Human-readable form name.

